Skip to main content
`Ctrl`+`K`

# DMPlexSetMigrationSF

Sets the `PetscSF` for migrating from a parent `DM` into this `DM`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetMigrationSF(DM dm, PetscSF migrationSF)

Logically Collective

## Input Parameters

- dm - The `DM`

- migrationSF - The `PetscSF`

## Note

It is necessary to call this in order to have `DMCreateSubDM()` or `DMCreateSuperDM()` build the Global-To-Natural map

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscSF`, `DMPlexDistribute()`, `DMPlexDistributeField()`, `DMPlexCreateMigrationSF()`, `DMPlexGetMigrationSF()`

## Level

intermediate

## Location

src/dm/impls/plex/plexnatural.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages